package org.codehaus.plexus.cache;

/*
 * Copyright 2007 The Codehaus Foundation.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

import java.io.Serializable;

/**
 * CacheableWrapper 
 *
 * @author <a href="mailto:Olivier.LAMY@accor.com">Olivier Lamy</a>
 * @version $Id: CacheableWrapper.java 696 2009-01-12 18:21:10Z olamy $
 */
public class CacheableWrapper
    implements Serializable
{
    private Object value;

    private long storedTime;

    public CacheableWrapper( Object value, long storedTime )
    {
        this.value = value;
        this.storedTime = storedTime;
    }

    public Object getValue()
    {
        return value;
    }

    public void setValue( Object value )
    {
        this.value = value;
    }

    public long getStoredTime()
    {
        return storedTime;
    }

    public void setStoredTime( long storedTime )
    {
        this.storedTime = storedTime;
    }
}
