package org.codehaus.plexus.cache.builder;

import org.codehaus.plexus.cache.Cache;

/*
 * Copyright 2001-2007 The Codehaus.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

/**
 * CacheBuilder Interface, for obtaining caches from plexus using hints or clazz names.
 * 
 * @author <a href="mailto:Olivier.LAMY@accor.com">Olivier Lamy</a>
 * @version $Id: CacheBuilder.java 696 2009-01-12 18:21:10Z olamy $
 * @since 3 February, 2007
 */
public interface CacheBuilder
{
    String ROLE = CacheBuilder.class.getName();

    /**
     * @param roleHint
     * @return
     */
    public Cache getCache( String roleHint );

    /**
     * @param clazz
     * @return
     */
    public Cache getCache( Class clazz );

}
